/*
 ============================================================================
 Project     : Memetic Algorithm
 Author      : Lucas Angelo Silveira
 Universidade de Brasilia (UnB) - Brazil
 Group of Theory of Computation
 Version     : 1.0
 
 Last Modified On: July 16, 2015.
 ============================================================================
 */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "Memetic_alg.h"
#include <mpi.h>
#include <time.h>//time
#include <sys/time.h>//time

int main(int argc, char **argv){
    float parametro1=0.0;
    float parametro2=0.0;
    float parametro3=0.0;
    struct timeval start, end;
    float tmili;
    unsigned int seed = time(NULL);
    
    
    srand (seed);//initialize random generator
    gettimeofday(&start, NULL);
     MemeticGa(parametro1, parametro2, parametro3);
    gettimeofday(&end, NULL);
    tmili = (float) (1000.0 * (end.tv_sec - start.tv_sec) + (end.tv_usec - start.tv_usec) / 1000.0);
    
    printf("time: %.2f seconds\n", (tmili/1000.0));
    
    return 0;
    
    
}
