//
//  structure.h
//  
//
//  Created by Lucas Angelo on 01/06/15.
//
//

#ifndef _structure_h
#define _structure_h
#define MAX_N 1000
typedef struct{
    int *pi;/**genome**/
    //int identidade[MAX_N];
    int size; /**size of population**/
}permutation;
//one permutation contain two or more chromosomes separate by zero


typedef struct{
    int work_number;//MPI: worknumber is index in the population
    int size_msg;
    int genes[MAX_N];
    int identity[MAX_N];
    int flag;
    int pos1;
    int pos2;
    int fitness;
}msgGenome;

typedef struct{
    int index;
    int result;
}msgFitness;


typedef struct{
    int index_pop;
    int index_gene;
    int result;
}msgBusca;

typedef struct{
    int *genes;
    int size;
    int fitness;
}Genome;// here, we go represent the genome with crhormosome separate by zero

typedef struct{
	Genome *genome;
	int sizePopulation;//tamanho de la population, con indice base en 0
	int limiteSelection;//Top 50%
	int baseReplace;//A partir de onde se da as substituicoes
    int limiteBusqLocal;//Top 5%
    
	int basePopulation;//base de population atual
	int topPopulation;//top de population atual
    
	int baseDescendencia;//base of descendencia
	int topeDescendencia;//tope of descendencia
    
	int sizeTotal;//tamanho total = 2 * tamanhoPopulation 
}population;





#endif
